Bug 129620 - www completion in location bar on multiple words(separated with spaces)
Summary: www completion in location bar on multiple words(separated with spaces)
Status: RESOLVED FIXED
Alias: None
Product: konqueror
Classification: Unclassified
Component: general (show other bugs)
Version: 4.5.4
Platform: unspecified Linux
: NOR normal (vote)
Target Milestone: ---
Assignee: Konqueror Developers
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2006-06-22 01:37 UTC by Becheru Petru-Ioan
Modified: 2011-06-17 06:32 UTC (History)
3 users (show)

See Also:
Latest Commit:
Version Fixed In: 4.6.5


Attachments
text with space inputed in the location bar (30.13 KB, image/png)
2006-06-22 01:38 UTC, Becheru Petru-Ioan
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Becheru Petru-Ioan 2006-06-22 01:37:07 UTC
Version:           3.5.3 (using KDE 3.5.3, Debian Package 4:3.5.3-1 (testing/unstable))
Compiler:          Target: i486-linux-gnu
OS:                Linux (i686) release 2.6.16-2-k7

if you clear the location bar and then start to write someting, a completion line appears with a "www." appended to what u have written. This line should disappear when the text containes spaces (i have never seen an internet adress containing spaces or tabs). See screenshot of the bug
Comment 1 Becheru Petru-Ioan 2006-06-22 01:38:18 UTC
Created attachment 16749 [details]
text with space inputed in the location bar

the popup line with the appended www should not be there
Comment 2 lexual 2006-10-20 06:01:28 UTC
confirmed 3.5.5
Comment 3 Henrik Skov Midtiby 2008-05-18 19:27:28 UTC
Confirmed on Ubuntu 8.04 with KDE 4.0.3.
Comment 4 Samuel Brack 2011-01-05 00:47:10 UTC
Confirmed in 4.5.4, updating version.
Comment 5 Dawit Alemayehu 2011-06-17 06:32:21 UTC
Git commit 3f8f8d1d96d407e7959c7063a1ff7f9923a889ae by Dawit Alemayehu.
Committed on 09/06/2011 at 03:56.
Pushed by adawit into branch 'KDE/4.6'.

Do not provide "http://www" completion when the typed in text contains any kind
of white space.

BUG: 129620
FIXED-IN: 4.6.5
REVIEW: 101552

M  +13   -2    konqueror/src/konqmainwindow.cpp     

http://commits.kde.org/kde-baseapps/3f8f8d1d96d407e7959c7063a1ff7f9923a889ae
Comment 6 Dawit Alemayehu 2011-06-17 06:32:46 UTC
Git commit 97c50fce04cccefe336fb51977c334b5f5dd9f3e by Dawit Alemayehu.
Committed on 09/06/2011 at 03:56.
Pushed by adawit into branch 'master'.

Do not provide "http://www" completion when the typed in text contains any kind
of white space.

BUG: 129620
FIXED-IN: 4.6.5
REVIEW: 101552
(cherry picked from commit 3f8f8d1d96d407e7959c7063a1ff7f9923a889ae)

M  +13   -2    konqueror/src/konqmainwindow.cpp     

http://commits.kde.org/kde-baseapps/97c50fce04cccefe336fb51977c334b5f5dd9f3e